Skip to content

Find stock locations

GET
/warehouse-management/stock-location/stock-locations
Required scope: warehouse:read

Searches for stock locations with optional filters, sorting, and pagination.

Parameters ​

Query parameters

page  integer
The page number to retrieve. The first page is 1. Cannot be less than 1.
Default value: 1
pageSize  integer
The size of the pages to retrieve. The default is 10. Cannot be less than 1 and larger than 100.
Default value: 10
warehouseId  integer
Filter by warehouse identifier.
keyword  string
Keyword to search by description.

Response ​

The response contains the found stock locations.